using System;

class MainClass {
  public static bool Provera (string red)
  {
    for (int i=0; i<red.Length; i++)
      for (int j=0; j<red.Length; j++)
        if (i!=j && red[i]==red[j]) return false;
    for (int i=0; i<red.Length-1; i++)
      if (red[i].CompareTo(red[i+1])!=-1) return false;
    return true;
  }
  public static bool BiloPre (string red, int j)
  {
    for (int i=0; i<j; i++)
      if (red[j].CompareTo(red[i])==0) return true;
    return false;
  }
  public static void Main (string[] args) {
    string red=Console.ReadLine();
    double ukupno=0;
    if (red.Length<=26) Console.WriteLine("0");
    else if (red.Length==27) 
    {
      string red1=red.Substring(0,0);
      for (int i=0; i<red.Length; i++)
        if (!BiloPre(red,i)) red1+=red[i];
      if (Provera(red1)) Console.Write("1");
      else Console.Write ("0");
    }
    else
    {
      for (int i=0; i<red.Length; i++)
      {
        string red1=red.Substring(0,i);
        for (int j=i; j<red.Length; j++)
        {
          if (!BiloPre(red, j)) red1+=red[j];
          if (red1.Length==26) break;
        }
        if (red1.Length==26 && Provera(red1)) ukupno++;
      }
      Console.Write (ukupno/1000000007);
    }
  }
}